<%--
Copyright (C) 2014 iPurchaseOrder. International copyright. All Rights Reserved.
This software is protected by United States and International copyright law and
international treaty provisions.
--%>

<%@ page language="VB" masterpagefile="~/admin/admin.master" autoeventwireup="false" inherits="admin_Approvers_list, App_Web_e6hksc1b" title="iPurchaseOrder v1.0 Administration" %>
<asp:Content ID="Content1" ContentPlaceHolderID="cnt" Runat="Server">

    <div id="content_full">
    
        <h2 class="title no_space_under"></h2>
        
        <asp:Panel ID="pnl_none" Visible="false" runat="server">
            <div id="div_none" class="alert_box_red">
                <p class="no_space_over no_space_under">
                <asp:Image ID="Image8" runat="server" ImageUrl="~/images/status-red.gif" AlternateText="Saved" /> No Approvers were found using that search criteria.</p>
            </div>
        </asp:Panel>
        
        <div align="center">
		    <asp:label id="txtBoxError" runat="server" Font-Size="Small" Font-Bold="true" ForeColor="red" BorderStyle="None"></asp:label>
		</div>

        <fieldset>
            <legend>Search Approvers</legend>
                <table id="tbl_filters" width="65%" cellpadding="2" cellspacing="4" border="0" visible="true">
                <tr>
                    <td>ID</td>
                    <td>Name</td>
                    <td>Division</td>
                    <td>Division Name</td>
                    <td>Company</td>
                    <td>Items Per Page</td>
                </tr>
                <tr>
                    <td><asp:TextBox ID="Approver_id" CssClass="lblDrop" runat="server" /></td>
                    <td><asp:TextBox ID="P_Name" CssClass="lblDrop" runat="server" /></td>
                    <td><asp:TextBox ID="P_DivNumber" CssClass="lblDrop" runat="server" /></td>
                    <td><asp:TextBox ID="P_DivName" CssClass="lblDrop" runat="server" /></td>
                    <td><asp:TextBox ID="P_Company" CssClass="lblDrop" runat="server" /></td>
                    <td><asp:DropDownList ID="results" CssClass="lblDrop" runat="server">
                        <asp:ListItem>5</asp:ListItem>
                        <asp:ListItem>10</asp:ListItem>
                        <asp:ListItem Selected="True">20</asp:ListItem>
                        <asp:ListItem>50</asp:ListItem>
                    </asp:DropDownList></td>
                </tr>
                
        <asp:Panel ID="PanelActive" Visible="false" runat="server">
                <tr>
                    <td>Active</td>
                    <td>Deleted</td>
                    <td>Billable</td>
                    <td colspan="2" align="left">&nbsp;</td>
                </tr>
                <tr>
                    <td><asp:TextBox ID="P_Active" CssClass="lblDrop" runat="server" /></td>
                    <td><asp:TextBox ID="P_Deleted" CssClass="lblDrop" runat="server" /></td>
                    <td><asp:TextBox ID="P_Billable" CssClass="lblDrop" runat="server" /></td>
                    <td colspan="2" align="left">&nbsp;</td>
                </tr>
        </asp:Panel>
                <tr>
                    <td align="right"><asp:Button ID="btn" runat="server" Text="Search" OnClick="btn_Click" />
					&nbsp;<asp:button runat="server" Text="Reset" id="cmd_reset" OnClick="cmd_reset_Click"></asp:button></td>
                    <td colspan="4" align="left">&nbsp;</td>
                </tr>
            </table>            
        </fieldset>
        
        <table border="0" cellpadding="0" cellspacing="0">
            <tr>
                <td>
                    <div style="display:none;" runat="server" id="div_paging_top" class="pages">
                        <span id="span_previous_top" runat="server" class="nextprev">&laquo;&nbsp;Previous</span>
                        <asp:LinkButton OnCommand="PagingClick" CommandArgument="-1" CssClass="nextprev" ID="lnk_previous_top" runat="server" Text="&laquo;&nbsp;Previous" />
                        <asp:Repeater ID="rpt_paging_top" runat="server">
                            <ItemTemplate>
                                <asp:LinkButton OnCommand="PagingClick" CssClass="nextprev" ID="lnk_page" runat="server" CommandArgument='<%# DataBinder.Eval(Container, "DataItem.page") %>' Text='<%#DataBinder.Eval(Container, "DataItem.page")%>' />
                                <span id="span_page" class="currentPage" runat="server"><%#DataBinder.Eval(Container, "DataItem.page")%></span>
                            </ItemTemplate>
                        </asp:Repeater>	
                        <asp:LinkButton OnCommand="PagingClick" CommandArgument="+1" CssClass="nextprev" ID="lnk_next_top" runat="server" Text="Next&nbsp;&raquo;" />
                        <span id="span_next_top" runat="server" class="nextprev">Next&nbsp;&raquo;</span>
                    </div>
                </td>
            </tr>
        </table>
        
<div style="text-align: right; height:1px">
<asp:label id="txtTotalRecords" runat="server" Font-Size="X-Small" Font-Bold="true" ForeColor="#C1C1C1" BorderStyle="None"></asp:label>
</div>

        <asp:Repeater ID="rpt" runat="server">
            <HeaderTemplate>
                <br />
                <table class="data" cellspacing="0" cellpadding="0" border="0" width="100%">
                    <tr class="title">
                        <td colspan="15"><h2>Search Results</h2></td>
                    </tr>
                    <tr class="header">
                        <th class="rpt_hdr" nowrap="nowrap">ID</th>
                        <th class="rpt_hdr" nowrap="nowrap">Active</th>
                        <th class="rpt_hdr" nowrap="nowrap">Actions</th>
                        <th class="rpt_hdr_left" nowrap="nowrap">Name</th>
                        <th class="rpt_hdr_left" nowrap="nowrap">Email</th>
                        <th class="rpt_hdr_left" nowrap="nowrap">Approval Code</th>
                        <th class="rpt_hdr_left" nowrap="nowrap">Alternate Email</th>
                        <th class="rpt_hdr_left" nowrap="nowrap">Division</th>
                        <th class="rpt_hdr_left" nowrap="nowrap">Division Name</th>
                        <th class="rpt_hdr_left" nowrap="nowrap">Company</th>
                        <th class="rpt_hdr" nowrap="nowrap">Date</th>
                        <th class="rpt_hdr" nowrap="nowrap">Purchases</th>
                        <th class="rpt_hdr" nowrap="nowrap">Deleted</th>
                        <th class="rpt_hdr" nowrap="nowrap">Del</th>
                    </tr>
                </HeaderTemplate>
            <ItemTemplate>
                    <tr class="shaded">
                        <td class="rpt_hdr_center" nowrap="nowrap"><%#Eval("ApproverID")%></td>
                        <td class="rpt_hdr_center" nowrap="nowrap"><asp:checkbox ID="Status" runat="server" Checked='<%#Eval("ActiveStatus")%>' enabled="false" /></td>
                        <td class="rpt_hdr_center" nowrap="nowrap">
                        <a href="edit.aspx?id=<%# Eval("ApproverID") %>"><asp:Image ID="Image3" runat="server" ImageUrl="~/images/icons/icon_edit.gif" Width="16" Height="16" tooltip="Edit Approver" /></a>
                        &nbsp;<a href="../purchases/list.aspx?apprID=<%# Eval("ApproverID") %>&reset=1"><asp:Image ID="Image1" runat="server" ImageUrl="~/images/icons/item_view.gif" Width="16" Height="16" tooltip="View Purchases" Visible="false" /></a></td>
                        <td class="rpt_hdr" nowrap="nowrap"><%#Eval("PName")%></td>
                        <td class="rpt_hdr" nowrap="nowrap"><%#Eval("PEmail")%></td>
                        <td class="rpt_hdr" nowrap="nowrap"><%#Eval("PApprovalCode")%></td>
                        <td class="rpt_hdr" nowrap="nowrap"><%#Eval("PAltEmail")%></td>
                        <td class="rpt_hdr" nowrap="nowrap"><%#Eval("DivNumber")%></td>
                        <td class="rpt_hdr" nowrap="nowrap"><%#Eval("DivName")%></td>
                        <td class="rpt_hdr" nowrap="nowrap"><%#Eval("PCompany")%></td>
                        <td class="rpt_hdr_center" nowrap="nowrap"><%#FormatDateTime(Convert.ToDateTime(Eval("PDateAdded")), DateFormat.ShortDate)%></td>
                        <td class="rpt_hdr_center" nowrap="nowrap"><%#Eval("pcount")%></td>
                        <td class="rpt_hdr_center" nowrap="nowrap"><asp:checkbox ID="Checkbox1" runat="server" Checked='<%#Eval("DeletedStatus")%>' enabled="false" /></td>
                        <td class="rpt_hdr_center" nowrap="nowrap"><asp:imageButton ID="lnk_delete" runat="server" ImageUrl="~/images/icons/icon_delete.gif" tooltip="Delete Approver" CommandName="delete" CommandArgument='<%# Eval("ApproverID") %>' OnClientClick="return confirm('Are you sure you want to delete this Approver?');" visible='<%# functions.DisplayDelOff(DataBinder.Eval(Container.DataItem, "pcount"))%>' enabled='<%# functions.DisplayDelApproverOff(DataBinder.Eval(Container.DataItem, "ApproverID"))%>' /></td>
                    </tr>
            </ItemTemplate>
            <AlternatingItemTemplate>
                    <tr class="noshaded">
                        <td class="rpt_hdr_center" nowrap="nowrap"><%#Eval("ApproverID")%></td>
                        <td class="rpt_hdr_center" nowrap="nowrap"><asp:checkbox ID="Status" runat="server" Checked='<%#Eval("ActiveStatus")%>' enabled="false" /></td>
                        <td class="rpt_hdr_center" nowrap="nowrap">
                        <a href="edit.aspx?id=<%# Eval("ApproverID") %>"><asp:Image ID="Image3" runat="server" ImageUrl="~/images/icons/icon_edit.gif" Width="16" Height="16" tooltip="Edit Approver" /></a>
                        &nbsp;<a href="../purchases/list.aspx?apprID=<%# Eval("ApproverID") %>&reset=1"><asp:Image ID="Image1" runat="server" ImageUrl="~/images/icons/item_view.gif" Width="16" Height="16" tooltip="View Purchases" Visible="false" /></a></td>
                        <td class="rpt_hdr" nowrap="nowrap"><%#Eval("PName")%></td>
                        <td class="rpt_hdr" nowrap="nowrap"><%#Eval("PEmail")%></td>
                        <td class="rpt_hdr" nowrap="nowrap"><%#Eval("PApprovalCode")%></td>
                        <td class="rpt_hdr" nowrap="nowrap"><%#Eval("PAltEmail")%></td>
                        <td class="rpt_hdr" nowrap="nowrap"><%#Eval("DivNumber")%></td>
                        <td class="rpt_hdr" nowrap="nowrap"><%#Eval("DivName")%></td>
                        <td class="rpt_hdr" nowrap="nowrap"><%#Eval("PCompany")%></td>
                        <td class="rpt_hdr_center" nowrap="nowrap"><%#FormatDateTime(Convert.ToDateTime(Eval("PDateAdded")), DateFormat.ShortDate)%></td>
                        <td class="rpt_hdr_center" nowrap="nowrap"><%#Eval("pcount")%></td>
                        <td class="rpt_hdr_center" nowrap="nowrap"><asp:checkbox ID="Checkbox1" runat="server" Checked='<%#Eval("DeletedStatus")%>' enabled="false" /></td>
                        <td class="rpt_hdr_center" nowrap="nowrap"><asp:imageButton ID="LinkButton1" runat="server" ImageUrl="~/images/icons/icon_delete.gif" tooltip="Delete Approver" CommandName="delete" CommandArgument='<%# Eval("ApproverID") %>' OnClientClick="return confirm('Are you sure you want to delete this Approver?');" visible='<%# functions.DisplayDelOff(DataBinder.Eval(Container.DataItem, "pcount"))%>' enabled='<%# functions.DisplayDelApproverOff(DataBinder.Eval(Container.DataItem, "ApproverID"))%>' /></td>
                    </tr>
            </AlternatingItemTemplate>
            <FooterTemplate>
                </table>
            </FooterTemplate>
        </asp:Repeater>
        
        <table border="0" cellpadding="0" cellspacing="0">
            <tr>
                <td>
                    <div style="display:none;" runat="server" id="div_paging_btm" class="pages">
                        <span id="span_previous_btm" runat="server" class="nextprev">&laquo;&nbsp;Previous</span>
                        <asp:LinkButton OnCommand="PagingClick" CommandArgument="-1" CssClass="nextprev" ID="lnk_previous_btm" runat="server" Text="&laquo;&nbsp;Previous" />
                        <asp:Repeater ID="rpt_paging_btm" runat="server">
                            <ItemTemplate>
                                <asp:LinkButton OnCommand="PagingClick" CssClass="nextprev" ID="lnk_page" runat="server" CommandArgument='<%#DataBinder.Eval(Container, "DataItem.page")%>' Text='<%#DataBinder.Eval(Container, "DataItem.page")%>' />
                                <span id="span_page" class="currentPage" runat="server"><%#DataBinder.Eval(Container, "DataItem.page")%></span>
                            </ItemTemplate>
                        </asp:Repeater>	
                        <asp:LinkButton OnCommand="PagingClick" CommandArgument="+1" CssClass="nextprev" ID="lnk_next_btm" runat="server" Text="Next&nbsp;&raquo;" />
                        <span id="span_next_btm" runat="server" class="nextprev">Next&nbsp;&raquo;</span>
                    </div>
                </td>
            </tr>
        </table>

        <div>
        <asp:Image ID="Image1" runat="server" ImageUrl="~/images/spacer.gif" width="1" Height="15" AlternateText="Spacer" />
        </div>
        
    </div>   
       
</asp:Content>

