﻿<%--
Copyright (C) 2014 iPurchaseOrder. International copyright. All Rights Reserved.
This software is protected by United States and International copyright law and
international treaty provisions.
--%>

<%@ page language="VB" masterpagefile="~/admin/admin.master" autoeventwireup="false" inherits="admin_Imports_recurringpo, App_Web_o-0b06bp" title="iPurchaseOrder v1.0 Administration" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cnt" Runat="Server">
    <div id="content_full">
    
        <h2 class="title no_space_under">Import Recurring Purchases from CSV - not tested!</h2>
        
        <asp:PlaceHolder ID="errs" runat="server" />
        
        <asp:Panel ID="pnl_saved" Visible="false" runat="server">
            <div id="div_saved" class="alert_box">
                <p class="no_space_over no_space_under">
                <asp:Image ID="Image8" runat="server" ImageUrl="~/images/status-green.gif" AlternateText="Saved" /> Recurring Purchases have been imported.</p>
            </div>
        </asp:Panel>
        
        <asp:Panel ID="pnl_failed" Visible="false" runat="server">
            <div id="div1" class="alert_box_red">
                <p class="no_space_over no_space_under">
                <asp:Image ID="Image1" runat="server" ImageUrl="~/images/status-red.gif" AlternateText="Failed" /> Recurring Purchase import failed - See details below.</p>
            </div>
        </asp:Panel>
        
        <table width="100%" cellpadding="0" cellspacing="0" border="0">
            <tr>
                <td style="width: 20px;">&nbsp;</td>
                <td valign="top">
                    
                    <fieldset>
	                    <legend>Import</legend>
                        <table cellpadding="2" width="680" border="0">
                        <tr>
                            <td colspan="2">
								<font color="red">
									<b>CSV File Format</b> (Column Headers are required) - <br />
									RecurringPurchaseId - Your Unique ID for Recurring Purchases.  It will be stored in the import_id column.<br />
									NextDate - Date when the next Purchase will generate.<br />
									EndDate - No Purchases will be generated after this date - okay to leave blank.<br />
									Cycle - Number of days/months/years until next Purchase.<br />
									CycleType - 1-Days, 2-Months, 3-Years.<br />
									DaysToPay - Days from the generated date before the Purchase is due.<br />
									AutomaticBilling - 0-Do Not Charge, 1-Charge on Purchase Date when a valid credit card is available.<br />
									Comments - Stored with the recurring Purchase.  Only the first comment is stored if multiple rows exist for the Purchase.<br />
									CommentsToPurchase - Copied to each generated Purchase.  Only the first comment is stored if multiple rows exist for the Purchase.<br />
									vendorId - Your Unique vendor ID as created for the vendor import.<br />
									Status - 0-Inactive, 1-On Hold, 2- Active.  Status is per purchase, only the first status for an purchase will be stored.<br />
									Tax Rate (%) - Stored with the purchase.  The rate from the first purchase line will be stored.<br />
									Tax 2 Rate (%) - Stored with the purchase.  The rate from the first purchase line will be stored.<br />
									Description - Line Item Description stored per item.<br />
									Quantity - Stored per item.<br />
									Amount - Stored per item.<br />
									Taxable - 0-Not Taxable, 1-Taxable.<br />
								</font> 
                            </td>
                        </tr>
                        <tr><td colspan="2">&nbsp;</td></tr>
                        <tr><td colspan="2">Example file (recurringpodetails.csv) is under the 1Files folder.&nbsp;</td></tr>
                        <tr><td colspan="2">&nbsp;</td></tr>
                        <tr>
                            <td class="label">
                            <div style="text-align:right">
                            <asp:Label ID="lbl_name" runat="server" Text="Select CSV" />
                            </div>
                            </td>
                            <td ><asp:FileUpload runat="server" Id="file_upload"></asp:FileUpload></td>
                        </tr>
                        <tr><td colspan="2">&nbsp;</td></tr>
                        <tr>
                            <td>&nbsp;</td>
                            <td><asp:Button Width="160" runat="server" Text="Import Recurring Purchases" id="cmd_save" /></td>
                        </tr>
                        </table>
	                    <asp:Literal runat="server" Id="message"></asp:Literal>
              </fieldset>
                </td>
            </tr>
        </table>
         <asp:CustomValidator ID="c1_fileupload" runat="server" EnableClientScript="false" Display="static" ControlToValidate="file_upload" ErrorMessage="Please select CSV file." OnServerValidate="c1_fileupload_ServerValidate" />
    </div>
</asp:Content>